Page MenuHomePhabricator

Deploy AMC to all Wikipedias
Closed, ResolvedPublic3 Story Points

Description

NOTE: deployment date is August 7, 2019

Acceptance Criteria

  • deploy AMC to all Wikipedias

Sign off steps

  • Review the AMC backlog for tasks that have been resolved as a result of the deploy and resolve them. Known examples: T183126 T208698

Related Objects

StatusAssignedTask
OpenNone
Resolvedovasileva
Resolvedovasileva
DuplicateNone
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
ResolvedNone
Resolvedovasileva
ResolvedMNeisler
ResolvedJdrewniak
ResolvedJdrewniak
Resolvedovasileva
OpenNone
Resolvedovasileva
Openovasileva
Openovasileva
Resolvedovasileva
Resolvedphuedx
Resolved Niedzielski
Resolvedovasileva
OpenJdlrobson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2019, 5:40 PM

For when @ovasileva comes back: 7th is a wednesday. The train gets cut on the 5th for the 8th. This means if we deploy 7th, changes that went on the train on the 5th won't show up until 8th.

Jdlrobson set the point value for this task to 3.Jul 30 2019, 4:18 PM
Tnegrin added a subscriber: Tnegrin.Aug 1 2019, 2:18 PM

We might want to mention this at Wikimania (7/16)

Jdlrobson updated the task description. (Show Details)Aug 1 2019, 4:28 PM

We might want to mention this at Wikimania (7/16)

@Tnegrin - we're be doing a session and tutorial for AMC as part of the Community Growth space

For when @ovasileva comes back: 7th is a wednesday. The train gets cut on the 5th for the 8th. This means if we deploy 7th, changes that went on the train on the 5th won't show up until 8th.

Confirming this is not a blocker

Change 528458 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable AMC on all wikipedias

https://gerrit.wikimedia.org/r/528458

ovasileva updated the task description. (Show Details)Aug 6 2019, 5:03 PM

Change 528458 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AMC on all wikipedias

https://gerrit.wikimedia.org/r/528458

Mentioned in SAL (#wikimedia-operations) [2019-08-07T11:26:57Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:528458|Enable AMC on all wikipedias (T228916)]] (duration: 00m 55s)

Leaving this open for a day or so while we collect any issues. Nothing major so far, although I did notice a small issue when using minerva on desktop on bgwiki:

pmiazga updated the task description. (Show Details)Aug 8 2019, 7:30 PM
ovasileva closed this task as Resolved.Aug 20 2019, 6:13 PM
ovasileva claimed this task.

AMC deployed to all wikis and all bugs found so far have corresponding tasks. Resolving!